Wordcloud
Strategy: strategy_03_bb_rsi
Downloaded: 20220112
Stoploss: -0.427
1hSpotv2UnbiasedLink


Not Enough Data to display!

Average Overall
BuysAvgprofTotProfWin%DD%Time
99.5-0.02-0.6552.753.5532.3
SharpeSortinoCalmar
-2.22-1.29-15.02
Prof.FactorExpectancyCagr
0.84-0-0.05
Trades/DayRejected Signals
3.5846
Ninja Score: 56
The bbrsi3Freq strategy is a backtesting strategy that uses several technical indicators to generate buy and sell signals for trading. Here's a breakdown of what the strategy does: populate_indicators function: Calculates the Relative Strength Index (RSI) indicator for the given DataFrame. Calculates Bollinger Bands with a window size of 20 and standard deviation of 1, and adds the lower band, middle band, and upper band values to the DataFrame.

Calculates Bollinger Bands with a window size of 20 and standard deviation of 3, and adds the lower band, middle band, and upper band values to the DataFrame.

Returns the DataFrame with all the calculated indicators.

populate_buy_trend function: Based on the indicators, identifies the buy signal. Sets the 'buy' column to 1 for the rows where the close price is below the lower band of the Bollinger Bands with 3 standard deviations. Returns the DataFrame with the 'buy' column populated. populate_sell_trend function: Based on the indicators, identifies the sell signal. Sets the 'sell' column to 1 for the rows where the RSI is above 41 and the close price is above the middle band of the Bollinger Bands with 1 standard deviation. Returns the DataFrame with the 'sell' column populated. In summary, this strategy combines the RSI indicator and Bollinger Bands to generate buy signals when the close price is below the lower band of the Bollinger Bands with 3 standard deviations, and sell signals when the RSI is above 41 and the close price is above the middle band of the Bollinger Bands with 1 standard deviation.

startup_candle_count : 30
rsi: 19.509%
Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 467, in _make_request self._validate_conn(conn) File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 1092, in _validate_conn conn.connect() File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connection.py", line 642, in connect sock_and_verified = _ssl_wrap_socket_and_match_hostname( ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connection.py", line 783, in _ssl_wrap_socket_and_match_hostname ssl_sock = ssl_wrap_socket( ^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/util/ssl_.py", line 469, in ssl_wrap_socket ssl_sock = _ssl_wrap_socket_impl(sock, context, tls_in_tls, server_hostname) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/util/ssl_.py", line 513, in _ssl_wrap_socket_impl return ssl_context.wrap_socket(sock, server_hostname=server_hostname) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/usr/local/lib/python3.11/ssl.py", line 517, in wrap_socket return self.sslsocket_class._create( ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/usr/local/lib/python3.11/ssl.py", line 1108, in _create self.do_handshake() File "/usr/local/lib/python3.11/ssl.py", line 1379, in do_handshake self._sslobj.do_handshake() TimeoutError: _ssl.c:989: The handshake operation timed out The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/requests/adapters.py", line 486, in send resp = conn.urlopen( ^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 844, in urlopen retries = retries.increment( ^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/util/retry.py", line 470, in increment raise reraise(type(error), error, _stacktrace) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/util/util.py", line 39, in reraise raise value File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 790, in urlopen response = self._make_request( ^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 491, in _make_request raise new_e File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 469, in _make_request self._raise_timeout(err=e, url=url, timeout_value=conn.timeout) File "/home/ftuser/.local/lib/python3.11/site-packages/urllib3/connectionpool.py", line 370, in _raise_timeout raise ReadTimeoutError( urllib3.exceptions.ReadTimeoutError: HTTPSConnectionPool(host='fapi.binance.com', port=443): Read timed out. (read timeout=10) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/exchange.py", line 584, in fetch response = self.session.request( ^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/requests/sessions.py", line 589, in request resp = self.send(prep, **send_kwargs) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/requests/sessions.py", line 703, in send r = adapter.send(request, **kwargs) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/requests/adapters.py", line 532, in send raise ReadTimeout(e, request=request) requests.exceptions.ReadTimeout: HTTPSConnectionPool(host='fapi.binance.com', port=443): Read timed out. (read timeout=10) The above exception was the direct cause of the following exception: Traceback (most recent call last): File "/freqtrade/freqtrade/exchange/exchange.py", line 480, in _load_markets self._markets = self._api.load_markets(params={}) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/exchange.py", line 1444, in load_markets markets = self.fetch_markets(params) ^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/binance.py", line 2007, in fetch_markets promisesRaw.append(self.fapiPublicGetExchangeInfo(params)) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/types.py", line 26, in unbound_method return _self.request(self.path, self.api, self.method, params, config=self.config) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/binance.py", line 7665, in request response = self.fetch2(path, api, method, params, headers, body, config) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/exchange.py", line 3048, in fetch2 return self.fetch(request['url'], request['method'], request['headers'], request['body']) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ File "/home/ftuser/.local/lib/python3.11/site-packages/ccxt/base/exchange.py", line 614, in fetch raise RequestTimeout(details) from e ccxt.base.errors.RequestTimeout: binance GET https://fapi.binance.com/fapi/v1/exchangeInfo

stoploss: -0.427
timeframe: 1h
hash(sha256): dcf94c1001eb9028071cc5db3a380666523c6156acdc345a3b8c4b31c973089d
indicators:
bb_upperband1 mid lower bb_lowerband1 upper
bb_middleband3 bb_upperband3 close bb_middleband1 rsi
bb_lowerband3

No similar strategies found. (based on used indicators)

last change: 2024-04-02 05:32:54